# eric5.DocumentationTools.QtHelpGenerator

Module implementing the QtHelp generator for the builtin documentation generator.

### Global Attributes

HelpCollection
HelpCollectionFile
HelpCollectionProjectFile
HelpHelpFile
HelpProject
HelpProjectFile

### Classes

QtHelpGenerator | Class implementing the QtHelp generator for the builtin documentation generator.

### Functions

None

## QtHelpGenerator

Class implementing the QtHelp generator for the builtin documentation generator.

### Derived from

object

### Class Attributes

None

### Class Methods

None

### Methods

QtHelpGenerator | Constructor
__convertEol | Private method to convert the newline characters.
__generateSections | Private method to generate the sections part.
generateFiles | Public method to generate all index files.
remember | Public method to remember a documentation file.

### Static Methods

None

#### QtHelpGenerator (Constructor)

QtHelpGenerator(htmlDir, outputDir, namespace, virtualFolder, filterName, filterAttributes, title, createCollection)

Constructor

htmlDir
  directory containing the HTML files (string)
outputDir
  output directory for the files (string)
namespace
  namespace to be used (string)
virtualFolder
  virtual folder to be used (string)
filterName
  name of the custom filter (string)
filterAttributes
  ':' separated list of filter attributes (string)
title
  title to be used for the generated help (string)
createCollection
  flag indicating the generation of the collection files (boolean)

#### QtHelpGenerator.__convertEol

__convertEol(txt, newline)

Private method to convert the newline characters.

txt
  text to be converted (string)
newline
  newline character to be used (string)

Returns:
  converted text (string)

#### QtHelpGenerator.__generateSections

__generateSections(package, level)

Private method to generate the sections part.

package
  name of the package to process (string)
level
  indentation level (integer)

Returns:
  sections part (string)

#### QtHelpGenerator.generateFiles

generateFiles(basename="", newline=None)

Public method to generate all index files.

basename
  The basename of the file hierarchy to be documented. The basename is stripped off the filename if it starts with the basename.
newline
  newline character to be used (string)

#### QtHelpGenerator.remember

remember(file, moduleDocument, basename="")

Public method to remember a documentation file.

file
  The filename to be remembered. (string)
moduleDocument
  The ModuleDocument object containing the information for the file.
basename
  The basename of the file hierarchy to be documented. The basename is stripped off the filename if it starts with the basename.

Up